#!/usr/bin/env python
# -*- coding: utf-8 -*-
from tvm.commands import base
from tvm.shared.io import ok
from tvm.helpers.doctor import DoctorHelper


class DoctorCommand(base.BaseCommand):
    def __init__(self, **arguments):
        super(self.__class__, self).__init__(**dict(arguments, **{'_terminate_program': False}))

        self.helper = DoctorHelper(self.config, self.collection)
        self._extact_args(arguments)
        self._exec()

    def _extact_args(self, arguments):
        self._records = arguments.get('--records', False)
        self._repository = arguments.get('--repository', False)

    def _exec(self):
        if self.collection.load_success:
            ok('Semantic check on recorded files successfully completed.')

        if self._records:
            raw_input('\nPress enter to validate_exists_in_records...')
            self.helper.validate_exists_in_records()

        if self._repository:
            raw_input('\nPress enter to validate_exists_in_repository...')
            self.helper.validate_exists_in_repository()
