#!/usr/bin/env python
# -*- coding: utf-8 -*-
from datetime import datetime


def str_to_datetime(date):
    return None if not date else datetime.strptime(date, '%Y-%m-%d %H:%M:%S')


def datetime_to_str(date):
    return '' if not date else date.strftime('%Y-%m-%d %H:%M:%S')


def date_to_datetime(date):
    return None if not date else datetime.combine(date, datetime.min.time())


def datetime_to_time(d_time):
    return None if not d_time else d_time.time()


def time_to_str(time):
    return None if not time else time.strftime('%H:%M')


def time_now_str():
    return time_to_str(datetime_to_time(datetime.now()))


def pretty_date(time):
    if not time:
        return '-'

    if isinstance(time, str):
        return time

    # ago.human is great but I there are cases where I want the output to be simpler.
    diff = datetime.now() - time

    second_diff = diff.seconds
    day_diff = diff.days

    if day_diff == 0:
        if second_diff < 10:
            return 'just now'
        if second_diff < 60:
            return str(second_diff) + ' seconds ago'
        if second_diff < 120:
            return 'a minute ago'
        if second_diff < 3600:
            return str(int(round(second_diff / 60.0))) + ' minutes ago'
        if second_diff < 7200:
            return 'an hour ago'
        if second_diff < 86400:
            return str(int(round(second_diff / 3600.0))) + ' hours ago'

    return time.strftime('%d %b %Y')
